package lsedit;

import java.util.*;

public class ClientSupplierCompareFn extends Object implements CompareFn
{
	public int compare(Object o1, Object o2) 
	{
		if (o1 == o2) {
			return 0;
		}
		EntityInstance e1 = (EntityInstance) o1;
		EntityInstance e2 = (EntityInstance) o2;

		double x1 = e1.avgX();
		double x2 = e2.avgX();

		if (x1 > x2) {
			return 1;
		} 
		if (x1 < x2) {
			return -1;
		}
		return 0;
	}
}

